For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTComplete onboarding
      • POSTReset onboarding
      • GETGet user profile
      • PUTUpdate user profile
      • GETGet user statistics
Dashboard
LogoLogo
Runtype APIUsers

Update user profile

PUT
/v1/users/profile
PUT
/v1/users/profile
$curl -X PUT https://api.runtype.com/v1/users/profile \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "firstName": "John",
> "lastName": "Doe",
> "preferences": {
> "defaultModel": "claude-sonnet-4-5",
> "notifications": true,
> "theme": "dark"
> }
>}'
1{
2 "id": "string",
3 "updatedAt": "string",
4 "email": "string",
5 "firstName": "string",
6 "lastName": "string",
7 "preferences": {
8 "defaultModel": "string",
9 "notifications": true,
10 "theme": "light"
11 }
12}

Update the profile of the authenticated user (dashboard only).

Was this page helpful?
Previous

Get user statistics

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
emailstringOptionalformat: "email"
firstNamestringOptional>=1 character
lastNamestringOptional>=1 character
preferencesobjectOptional

Response

Updated user profile
idstring
updatedAtstring
emailstring
firstNamestring
lastNamestring
preferencesobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error